# Generated by Django 4.2.15 on 2024-11-14 12:42

from django.db import migrations, models
import django.db.models.deletion
import pulpcore.app.util


class Migration(migrations.Migration):

    replaces = [
        ("file", "0001_initial"),
        ("file", "0002_file_related_names"),
        ("file", "0003_auto_20191014_1721"),
        ("file", "0004_filefilesystemexporter"),
        ("file", "0005_filerepository"),
        ("file", "0006_delete_filefilesystemexporter"),
        ("file", "0007_filefilesystemexporter"),
        ("file", "0008_add_manifest_field"),
        ("file", "0009_move_data_to_new_master_distribution_model"),
        ("file", "0010_auto_publish"),
        ("file", "0011_fix_auto_publish"),
        ("file", "0012_delete_filefilesystemexporter"),
        ("file", "0013_file_acs"),
        ("file", "0014_new_rbac_permissions"),
        ("file", "0015_allow_null_manifest"),
        ("file", "0016_add_domain"),
    ]

    dependencies = [
        ("core", "0102_add_domain_relations"),
        ("core", "0091_systemid"),
    ]

    operations = [
        migrations.CreateModel(
            name="FileContent",
            fields=[
                (
                    "content_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="file_filecontent",
                        serialize=False,
                        to="core.content",
                    ),
                ),
                ("relative_path", models.TextField()),
                ("digest", models.CharField(max_length=64)),
                (
                    "_pulp_domain",
                    models.ForeignKey(
                        default=pulpcore.app.util.get_domain_pk,
                        on_delete=django.db.models.deletion.PROTECT,
                        related_name="file_filecontent",
                        to="core.domain",
                    ),
                ),
            ],
            options={
                "unique_together": {("relative_path", "digest", "_pulp_domain")},
                "default_related_name": "%(app_label)s_%(model_name)s",
            },
            bases=("core.content",),
        ),
        migrations.CreateModel(
            name="FileRepository",
            fields=[
                (
                    "repository_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="file_filerepository",
                        serialize=False,
                        to="core.repository",
                    ),
                ),
                ("autopublish", models.BooleanField(default=False)),
                ("manifest", models.TextField(default="PULP_MANIFEST", null=True)),
            ],
            options={
                "default_related_name": "%(app_label)s_%(model_name)s",
                "permissions": [
                    ("sync_filerepository", "Can start a sync task"),
                    ("modify_filerepository", "Can modify content of the repository"),
                    ("manage_roles_filerepository", "Can manage roles on file repositories"),
                    ("repair_filerepository", "Can repair repository versions"),
                ],
            },
            bases=("core.repository",),
        ),
        migrations.CreateModel(
            name="FileAlternateContentSource",
            fields=[
                (
                    "alternatecontentsource_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="file_filealternatecontentsource",
                        serialize=False,
                        to="core.alternatecontentsource",
                    ),
                ),
            ],
            options={
                "default_related_name": "%(app_label)s_%(model_name)s",
                "permissions": [
                    ("refresh_filealternatecontentsource", "Can refresh ACS metadata"),
                    ("manage_roles_filealternatecontentsource", "Can manage roles on file ACS"),
                ],
            },
            bases=("core.alternatecontentsource",),
        ),
        migrations.CreateModel(
            name="FileDistribution",
            fields=[
                (
                    "distribution_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="file_filedistribution",
                        serialize=False,
                        to="core.distribution",
                    ),
                ),
            ],
            options={
                "default_related_name": "%(app_label)s_%(model_name)s",
                "permissions": [
                    ("manage_roles_filedistribution", "Can manage roles on file distributions")
                ],
            },
            bases=("core.distribution",),
        ),
        migrations.CreateModel(
            name="FileRemote",
            fields=[
                (
                    "remote_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="file_fileremote",
                        serialize=False,
                        to="core.remote",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "default_related_name": "%(app_label)s_%(model_name)s",
                "permissions": [("manage_roles_fileremote", "Can manage roles on file remotes")],
            },
            bases=("core.remote",),
        ),
        migrations.CreateModel(
            name="FilePublication",
            fields=[
                (
                    "publication_ptr",
                    models.OneToOneField(
                        auto_created=True,
                        on_delete=django.db.models.deletion.CASCADE,
                        parent_link=True,
                        primary_key=True,
                        related_name="file_filepublication",
                        serialize=False,
                        to="core.publication",
                    ),
                ),
                ("manifest", models.TextField(null=True)),
            ],
            options={
                "abstract": False,
                "default_related_name": "%(app_label)s_%(model_name)s",
                "permissions": [
                    ("manage_roles_filepublication", "Can manage roles on file publications")
                ],
            },
            bases=("core.publication",),
        ),
    ]
